# Group Users
Welcome to the users API. This API provides access to the users service.

## users [/users]

### Create user [POST]

Create a new user

+ Request user (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json
    + Attributes

        + nickname: NICKNAME (string)

+ Response 201 (application/json; charset=utf-8)
    + Attributes (user, fixed)

### Get users [GET]

Returns an user list.

+ Request (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json

+ Response 200 (application/json; charset=utf-8)
    + Attributes (array, fixed)
        + (user)

## user details [/users/{id}]

+ Parameters
    + id: `1` (enum[string]) - The ID of the desired user.
        + Members
            + `1`
            + `2`
            + `3`

### Get user [GET]

Returns an user.

+ Request (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json

+ Response 200 (application/json; charset=utf-8)
    + Attributes (user, fixed)

### Update user [PUT]

Update an user.

+ Request user (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json
    + Attributes

        + nickname: NICKNAME (string)

+ Response 200 (application/json; charset=utf-8)
    + Attributes (user, fixed)

### Delete user [DELETE]

Delete an user.

+ Request (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json

+ Response 204

# Data Structures
## user (object)

+ id: *1* (number)
+ nickname: *NICKNAME* (string)
+ created_at: `*2000-01-01 00:00:00*` (string)
+ updated_at: `*2000-01-01 00:00:00*` (string)
